GET
/
api
/
projects
/
{projectId}
/
skyline
/
users
/
availability
Check availability
curl --request GET \
  --url https://api.example.com/api/projects/{projectId}/skyline/users/availability
import requests

url = "https://api.example.com/api/projects/{projectId}/skyline/users/availability"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/projects/{projectId}/skyline/users/availability', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Check if a phone number is eligible for registration on your shared iMessage pool before calling create user.

Request

curl -u "$PROJECT_ID:$PROJECT_SECRET" \
  "https://api.interactions.co.in/api/projects/$PROJECT_ID/skyline/users/availability?phone=%2B15551234567"

Query parameters

FieldTypeRequiredDescription
phonestringYesE.164 phone number (URL-encoded)

Response

{
  "succeed": true,
  "data": {
    "phone": "+15551234567",
    "available": true,
    "reason": null
  }
}
When unavailable:
{
  "succeed": true,
  "data": {
    "phone": "+15551234567",
    "available": false,
    "reason": "already_registered"
  }
}

CLI equivalent

sky projects check-phone +15551234567